# TdApi.VideoChat (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: VideoChat

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.VideoChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.VideoChat

Enclosing class:
  TdApi

public static final class TdApi.VideoChat extends TdApi.Object
Describes a video chat.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.MessageSender`
`defaultParticipantId`
Default group call participant identifier to join the video chat; may be null.
`int`
`groupCallId`
Group call identifier of an active video chat; 0 if none.
`boolean`
`hasParticipants`
True, if the video chat has participants.

## Constructor Summary

Constructors
Constructor
Description
`VideoChat()`
Describes a video chat.
`VideoChat(int groupCallId, boolean hasParticipants, TdApi.MessageSender defaultParticipantId)`
Describes a video chat.
`VideoChat(DataInput input)`
Describes a video chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### groupCallId

public int groupCallId
Group call identifier of an active video chat; 0 if none. Full information about the video chat can be received through the method getGroupCall.

### hasParticipants

public boolean hasParticipants
True, if the video chat has participants.

### defaultParticipantId

public TdApi.MessageSender defaultParticipantId
Default group call participant identifier to join the video chat; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### VideoChat

public VideoChat()
Describes a video chat.

### VideoChat

public VideoChat(int groupCallId, boolean hasParticipants, TdApi.MessageSender defaultParticipantId)
Describes a video chat.

Parameters:
  `groupCallId` - int Group call identifier of an active video chat; 0 if none. Full information about the video chat can be received through the method getGroupCall.
  `hasParticipants` - boolean True, if the video chat has participants.
  `defaultParticipantId` - MessageSender Default group call participant identifier to join the video chat; may be null.

### VideoChat

public VideoChat(DataInput input) throws IOException
Describes a video chat.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`